_grk_progression Struct Reference

Progression order change. More...

`#include <grok.h>`

## Public Attributes

GRK_PROG_ORDER | progression
char | progressionString [5]
GRK_PROG_ORDER | specifiedCompressionPocProg
uint32_t | tileno
uint32_t | tx0
| tile dimensions
uint32_t | ty0
uint32_t | tx1
uint32_t | ty1
uint16_t | compS
| progression order bounds specified by POC
uint16_t | compE
uint8_t | resS
uint8_t | resE
uint64_t | precS
uint64_t | precE
uint16_t | layS
uint16_t | layE
uint16_t | tpCompS
uint16_t | tpCompE
uint8_t | tpResS
uint8_t | tpResE
uint64_t | tpPrecE
uint16_t | tpLayE
uint32_t | tp_txS
uint32_t | tp_txE
uint32_t | tp_tyS
uint32_t | tp_tyE
uint32_t | dx
uint32_t | dy
uint16_t | comp_temp
uint8_t | res_temp
uint64_t | prec_temp
uint16_t | lay_temp
uint32_t | tx0_temp
uint32_t | ty0_temp

## Detailed Description

Progression order change.

## Member Data Documentation

## comp_temp

uint16_t _grk_progression::comp_temp

## compE

uint16_t _grk_progression::compE

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_cprl(), grk::PacketIter::next_cprlOPT(), grk::PacketIter::next_lrcp(), grk::PacketIter::next_lrcpOPT(), grk::PacketIter::next_pcrl(), grk::PacketIter::next_pcrlOPT(), grk::PacketIter::next_rlcp(), grk::PacketIter::next_rlcpOPT(), grk::PacketIter::next_rpcl(), grk::PacketIter::next_rpclOPT(), and grk::PacketIter::printStaticState().

## compS

uint16_t _grk_progression::compS

progression order bounds specified by POC

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_lrcp(), grk::PacketIter::next_lrcpOPT(), grk::PacketIter::next_pcrl(), grk::PacketIter::next_pcrlOPT(), grk::PacketIter::next_rlcp(), grk::PacketIter::next_rlcpOPT(), grk::PacketIter::next_rpcl(), and grk::PacketIter::next_rpclOPT().

## dx

uint32_t _grk_progression::dx

## dy

uint32_t _grk_progression::dy

## lay_temp

uint16_t _grk_progression::lay_temp

## layE

uint16_t _grk_progression::layE

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_cprl(), grk::PacketIter::next_cprlOPT(), grk::PacketIter::next_lrcp(), grk::PacketIter::next_lrcpOPT(), grk::PacketIter::next_pcrl(), grk::PacketIter::next_pcrlOPT(), grk::PacketIter::next_rlcp(), grk::PacketIter::next_rlcpOPT(), grk::PacketIter::next_rpcl(), grk::PacketIter::next_rpclOPT(), and grk::PacketIter::printStaticState().

## layS

uint16_t _grk_progression::layS

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_cprl(), grk::PacketIter::next_cprlOPT(), grk::PacketIter::next_pcrl(), grk::PacketIter::next_pcrlOPT(), grk::PacketIter::next_rlcp(), grk::PacketIter::next_rlcpOPT(), grk::PacketIter::next_rpcl(), and grk::PacketIter::next_rpclOPT().

## prec_temp

uint64_t _grk_progression::prec_temp

## precE

uint64_t _grk_progression::precE

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), and grk::PacketIter::printStaticState().

## precS

uint64_t _grk_progression::precS

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_lrcp(), grk::PacketIter::next_lrcpOPT(), grk::PacketIter::next_rlcp(), and grk::PacketIter::next_rlcpOPT().

## progression

GRK_PROG_ORDER _grk_progression::progression

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::genPrecinctInfoOPT(), grk::PacketIter::getProgression(), grk::PacketIter::init(), and grk::PacketIter::next().

## progressionString

char _grk_progression::progressionString[5]

## res_temp

uint8_t _grk_progression::res_temp

## resE

uint8_t _grk_progression::resE

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_cprl(), grk::PacketIter::next_cprlOPT(), grk::PacketIter::next_lrcp(), grk::PacketIter::next_lrcpOPT(), grk::PacketIter::next_pcrl(), grk::PacketIter::next_pcrlOPT(), grk::PacketIter::next_rlcp(), grk::PacketIter::next_rlcpOPT(), grk::PacketIter::next_rpcl(), grk::PacketIter::next_rpclOPT(), and grk::PacketIter::printStaticState().

## resS

uint8_t _grk_progression::resS

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_cprl(), grk::PacketIter::next_cprlOPT(), grk::PacketIter::next_lrcp(), grk::PacketIter::next_lrcpOPT(), grk::PacketIter::next_pcrl(), and grk::PacketIter::next_pcrlOPT().

## specifiedCompressionPocProg

GRK_PROG_ORDER _grk_progression::specifiedCompressionPocProg

## tileno

uint32_t _grk_progression::tileno

## tp_txE

uint32_t _grk_progression::tp_txE

## tp_txS

uint32_t _grk_progression::tp_txS

## tp_tyE

uint32_t _grk_progression::tp_tyE

## tp_tyS

uint32_t _grk_progression::tp_tyS

## tpCompE

uint16_t _grk_progression::tpCompE

## tpCompS

uint16_t _grk_progression::tpCompS

## tpLayE

uint16_t _grk_progression::tpLayE

## tpPrecE

uint64_t _grk_progression::tpPrecE

## tpResE

uint8_t _grk_progression::tpResE

## tpResS

uint8_t _grk_progression::tpResS

## tx0

uint32_t _grk_progression::tx0

tile dimensions

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_cprl(), grk::PacketIter::next_cprlOPT(), grk::PacketIter::next_pcrl(), and grk::PacketIter::next_rpcl().

## tx0_temp

uint32_t _grk_progression::tx0_temp

## tx1

uint32_t _grk_progression::tx1

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_cprl(), grk::PacketIter::next_pcrl(), and grk::PacketIter::next_rpcl().

## ty0

uint32_t _grk_progression::ty0

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_cprl(), grk::PacketIter::next_cprlOPT(), and grk::PacketIter::next_rpcl().

## ty0_temp

uint32_t _grk_progression::ty0_temp

## ty1

uint32_t _grk_progression::ty1

Referenced by grk::PacketIter::enableTilePartGeneration(), grk::PacketIter::init(), grk::PacketIter::next_cprl(), grk::PacketIter::next_pcrl(), and grk::PacketIter::next_rpcl().

The documentation for this struct was generated from the following file:

- grok.h